Bug 1777733 - plasmashell on Wayland segmentation fault in update_buffers
Summary: plasmashell on Wayland segmentation fault in update_buffers
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-28 08:16 UTC by Matt Fagnani
Modified: 2021-11-30 16:24 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:24:01 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 414411 0 NOR RESOLVED plasmashell on Wayland segmentation fault in update_buffers in mesa-libEGL 2020-09-09 05:16:26 UTC
Mozilla Foundation 1655120 0 -- RESOLVED Crash in [@ <name omitted> | <name omitted> | dri2_allocate_textures] 2020-09-09 05:16:24 UTC
freedesktop.org Gitlab mesa mesa issues 2251 0 None None None 2020-08-10 09:19:36 UTC

Description Matt Fagnani 2019-11-28 08:16:42 UTC
Description of problem:

I was using Plasma 5.17.3 on Wayland in Fedora 31. I left-clicked 2-3 times on the bottom-left corner of the screen where the Configure Panel popup was shown. I left-clicked on the x button to close the Configure Panel bar. The Task Manager bar disappeared and reappeared automatically. The background went black.

Dr. Konqi showed that plasmashell segmentation faulted in update_buffers at ../src/egl/drivers/dri2/platform_wayland.c:633 in libEGL_mesa.so.0 of mesa-libEGL-19.2.6-1.fc31.x86_64. 


-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
futex_wait_cancelable (private=0, expected=0, futex_word=0x56279eda0be4) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
80	  int err = lll_futex_timed_wait (futex_word, expected, NULL, private);
[Current thread is 1 (Thread 0x7f2211432c80 (LWP 1380))]

Thread 19 (Thread 0x7f21a3e15700 (LWP 2443)):
[KCrash Handler]
#6  0x00007f21f77994af in update_buffers (dri2_surf=dri2_surf@entry=0x7f21880158b0) at ../src/egl/drivers/dri2/platform_wayland.c:633
#7  0x00007f21f77998a8 in image_get_buffers (driDrawable=<optimized out>, format=<optimized out>, stamp=<optimized out>, loaderPrivate=0x7f21880158b0, buffer_mask=<optimized out>, buffers=0x7f21a3e14620) at ../src/egl/drivers/dri2/platform_wayland.c:768
#8  0x00007f21f617c4ad in dri_image_drawable_get_buffers (statts_count=<optimized out>, statts=<optimized out>, images=<optimized out>, drawable=<optimized out>) at ../src/gallium/state_trackers/dri/dri2.c:270
#9  dri2_allocate_textures (ctx=0x56279eb3d400, drawable=0x7f2188001db0, statts=0x7f2188013b10, statts_count=2) at ../src/gallium/state_trackers/dri/dri2.c:397
#10 0x00007f21f617e4c5 in dri_st_framebuffer_validate (stctx=<optimized out>, stfbi=<optimized out>, statts=0x7f2188013b10, count=2, out=0x7f21a3e147c0) at ../src/gallium/state_trackers/dri/dri_drawable.c:85
#11 0x00007f21f661390a in st_framebuffer_validate (stfb=stfb@entry=0x7f2188013640, st=st@entry=0x56279eea8880) at ../src/mesa/state_tracker/st_manager.c:222
#12 0x00007f21f6613f60 in st_manager_validate_framebuffers (st=0x56279eea8880) at ../src/mesa/state_tracker/st_manager.c:1178
#13 0x00007f21f67c79f5 in st_validate_state (st=st@entry=0x56279eea8880, pipeline=pipeline@entry=ST_PIPELINE_CLEAR) at ../src/mesa/state_tracker/st_atom.c:202
#14 0x00007f21f67cc466 in st_Clear (ctx=0x56279ee73f30, mask=50) at ../src/mesa/state_tracker/st_cb_clear.c:438
#15 0x00007f2210fe6fdc in QSGBatchRenderer::Renderer::renderBatches() (this=this@entry=0x7f2188002280) at ../../include/QtQuick/5.12.5/QtQuick/private/../../../../../src/quick/scenegraph/coreapi/qsgrenderer_p.h:103
#16 0x00007f2210fed482 in QSGBatchRenderer::Renderer::render() (this=<optimized out>) at scenegraph/coreapi/qsgbatchrenderer.cpp:2735
#17 0x00007f2210fd99b4 in QSGRenderer::renderScene(QSGBindable const&) (bindable=..., this=0x7f2188002280) at scenegraph/coreapi/qsgrenderer.cpp:244
#18 QSGRenderer::renderScene(QSGBindable const&) (this=0x7f2188002280, bindable=...) at scenegraph/coreapi/qsgrenderer.cpp:204
#19 0x00007f2210fd9e63 in QSGRenderer::renderScene(unsigned int) (this=<optimized out>, fboId=<optimized out>) at scenegraph/coreapi/qsgrenderer.cpp:197
#20 0x00007f221101cf62 in QSGDefaultRenderContext::renderNextFrame(QSGRenderer*, unsigned int) (this=0x56279eaf4890, renderer=0x7f2188002280, fboId=<optimized out>) at scenegraph/qsgdefaultrendercontext.cpp:182
#21 0x00007f22110826dc in QQuickWindowPrivate::renderSceneGraph(QSize const&) (this=this@entry=0x56279ed911a0, size=...) at items/qquickwindow.cpp:487
#22 0x00007f221102861f in QSGRenderThread::syncAndRender() (this=this@entry=0x56279ea972a0) at scenegraph/qsgthreadedrenderloop.cpp:646
#23 0x00007f221102c3c8 in QSGRenderThread::run() (this=0x56279ea972a0) at scenegraph/qsgthreadedrenderloop.cpp:730
#24 0x00007f220f3a34e6 in QThreadPrivate::start(void*) (arg=0x56279ea972a0) at thread/qthread_unix.cpp:361
#25 0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#26 0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f21c1f5a700 (LWP 2442)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ee55b9c) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ee55b48, cond=0x56279ee55b70) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ee55b70, mutex=0x56279ee55b48) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279ee55b48, cond=0x56279ee55b70) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279ee73ef0) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f21a2e13700 (LWP 2440)):
#0  g_mutex_unlock (mutex=0x7f2198087280) at ../glib/gthread-posix.c:1375
#1  0x00007f220dace877 in g_main_context_acquire (context=context@entry=0x7f2198087280) at ../glib/gmain.c:3259
#2  0x00007f220dacf655 in g_main_context_iterate (context=context@entry=0x7f2198087280, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3867
#3  0x00007f220dacf8d3 in g_main_context_iteration (context=0x7f2198087280, may_block=may_block@entry=1) at ../glib/gmain.c:3978
#4  0x00007f220f59fcd3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f2198089590, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f220f549ceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f21a2e12d80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f220f3a2395 in QThread::exec() (this=this@entry=0x56279ed33490) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f2210cb1119 in QQmlThreadPrivate::run() (this=0x56279ed33490) at qml/ftw/qqmlthread.cpp:148
#8  0x00007f220f3a34e6 in QThreadPrivate::start(void*) (arg=0x56279ed33490) at thread/qthread_unix.cpp:361
#9  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#10 0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f21c37f5700 (LWP 1786)):
#0  timerSourcePrepare(GSource*, gint*) (source=0x7f219c003790, timeout=timeout@entry=0x7f21c37f4bd4) at kernel/qeventdispatcher_glib.cpp:165
#1  0x00007f220daced1a in g_main_context_prepare (context=context@entry=0x7f219c000c30, priority=priority@entry=0x7f21c37f4c60) at ../glib/gmain.c:3489
#2  0x00007f220dacf6cb in g_main_context_iterate (context=context@entry=0x7f219c000c30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3897
#3  0x00007f220dacf8d3 in g_main_context_iteration (context=0x7f219c000c30, may_block=may_block@entry=1) at ../glib/gmain.c:3978
#4  0x00007f220f59fcd3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f219c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f220f549ceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f21c37f4da0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f220f3a2395 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f220f3a34e6 in QThreadPrivate::start(void*) (arg=0x56279e5e08a0) at thread/qthread_unix.cpp:361
#8  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#9  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f21b1e85700 (LWP 1785)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279e1b3f20) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279e1b3ed0, cond=0x56279e1b3ef8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279e1b3ef8, mutex=0x56279e1b3ed0) at pthread_cond_wait.c:638
#3  0x00007f220f3a8ff3 in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x56279e1b3ed0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x56279e1b5c80, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f220f3a9081 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x56279e1b5c88, mutex=mutex@entry=0x56279e1b5c80, time=time@entry=18446744073709551615) at ../../include/QtCore/../../src/corelib/kernel/qdeadlinetimer.h:68
#6  0x00007f221102c1b9 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x56279e1b5c78) at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x56279e1b5c00) at scenegraph/qsgthreadedrenderloop.cpp:710
#8  0x00007f221102c45d in QSGRenderThread::run() (this=0x56279e1b5c00) at scenegraph/qsgthreadedrenderloop.cpp:739
#9  0x00007f220f3a34e6 in QThreadPrivate::start(void*) (arg=0x56279e1b5c00) at thread/qthread_unix.cpp:361
#10 0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#11 0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f21b273d700 (LWP 1784)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279e57f1e8) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279e57f198, cond=0x56279e57f1c0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279e57f1c0, mutex=0x56279e57f198) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279e57f198, cond=0x56279e57f1c0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279e59d540) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f21b3025700 (LWP 1761)):
#0  0x00007f220db1b9dd in g_mutex_lock (mutex=mutex@entry=0x7f21ac000c30) at ../glib/gthread-posix.c:1363
#1  0x00007f220daced27 in g_main_context_prepare (context=context@entry=0x7f21ac000c30, priority=priority@entry=0x7f21b3024c20) at ../glib/gmain.c:3492
#2  0x00007f220dacf6cb in g_main_context_iterate (context=context@entry=0x7f21ac000c30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3897
#3  0x00007f220dacf8d3 in g_main_context_iteration (context=0x7f21ac000c30, may_block=may_block@entry=1) at ../glib/gmain.c:3978
#4  0x00007f220f59fcd3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f21ac000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f220f549ceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f21b3024d60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f220f3a2395 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f21b387bc4c in KCupsConnection::run() () at /lib64/libkcupslib.so
#8  0x00007f220f3a34e6 in QThreadPrivate::start(void*) (arg=0x56279dab2c70) at thread/qthread_unix.cpp:361
#9  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#10 0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f21ca202700 (LWP 1690)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ca4ff24) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ca4fed0, cond=0x56279ca4fef8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ca4fef8, mutex=0x56279ca4fed0) at pthread_cond_wait.c:638
#3  0x00007f220f3a8ff3 in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x56279ca4fed0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x56279d2c0850, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f220f3a9081 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x56279d2c0858, mutex=mutex@entry=0x56279d2c0850, time=time@entry=18446744073709551615) at ../../include/QtCore/../../src/corelib/kernel/qdeadlinetimer.h:68
#6  0x00007f221102c1b9 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x56279d2c0848) at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x56279d2c07d0) at scenegraph/qsgthreadedrenderloop.cpp:710
#8  0x00007f221102c45d in QSGRenderThread::run() (this=0x56279d2c07d0) at scenegraph/qsgthreadedrenderloop.cpp:739
#9  0x00007f220f3a34e6 in QThreadPrivate::start(void*) (arg=0x56279d2c07d0) at thread/qthread_unix.cpp:361
#10 0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#11 0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f21caa03700 (LWP 1689)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279d3d7e08) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279d3d7db8, cond=0x56279d3d7de0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279d3d7de0, mutex=0x56279d3d7db8) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279d3d7db8, cond=0x56279d3d7de0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279d3f6160) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f21e9289700 (LWP 1613)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ccbd2f0) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ccbd2a0, cond=0x56279ccbd2c8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ccbd2c8, mutex=0x56279ccbd2a0) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279ccbd2a0, cond=0x56279ccbd2c8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279ccbe540) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f21e9a8a700 (LWP 1612)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ccbd2f0) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ccbd2a0, cond=0x56279ccbd2c8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ccbd2c8, mutex=0x56279ccbd2a0) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279ccbd2a0, cond=0x56279ccbd2c8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279ccbbc00) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f21ea28b700 (LWP 1611)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ccbcbf0) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ccbcba0, cond=0x56279ccbcbc8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ccbcbc8, mutex=0x56279ccbcba0) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279ccbcba0, cond=0x56279ccbcbc8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279ccbb9d0) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f21eaa8c700 (LWP 1610)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ccbcbf4) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ccbcba0, cond=0x56279ccbcbc8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ccbcbc8, mutex=0x56279ccbcba0) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279ccbcba0, cond=0x56279ccbcbc8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279ccbe500) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f21eb28d700 (LWP 1609)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ccbcbf4) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ccbcba0, cond=0x56279ccbcbc8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ccbcbc8, mutex=0x56279ccbcba0) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279ccbcba0, cond=0x56279ccbcbc8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279ccbe2f0) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f21f4e7d700 (LWP 1608)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ccbb72c) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ccbb6d8, cond=0x56279ccbb700) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ccbb700, mutex=0x56279ccbb6d8) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279ccbb6d8, cond=0x56279ccbb700) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279ccbdc90) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f21f5fdd700 (LWP 1607)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279ccb87d8) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279ccb8788, cond=0x56279ccb87b0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279ccb87b0, mutex=0x56279ccb8788) at pthread_cond_wait.c:638
#3  0x00007f21f68f4efb in cnd_wait (mtx=0x56279ccb8788, cond=0x56279ccb87b0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56279ccb61c0) at ../src/util/u_queue.c:272
#5  0x00007f21f68f4b0b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#7  0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f21fcc0d700 (LWP 1603)):
#0  __GI___libc_read (nbytes=16, buf=0x7f21fcc0cb60, fd=10) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=10, buf=buf@entry=0x7f21fcc0cb60, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f220db174cf in read (__nbytes=16, __buf=0x7f21fcc0cb60, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x7f21f8003db0) at ../glib/gwakeup.c:210
#4  0x00007f220dacf2e7 in g_main_context_check (context=context@entry=0x7f21f0000c30, max_priority=2147483647, fds=fds@entry=0x7f21f00029e0, n_fds=n_fds@entry=1) at ../glib/gmain.c:3695
#5  0x00007f220dacf742 in g_main_context_iterate (context=context@entry=0x7f21f0000c30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3914
#6  0x00007f220dacf8d3 in g_main_context_iteration (context=0x7f21f0000c30, may_block=may_block@entry=1) at ../glib/gmain.c:3978
#7  0x00007f220f59fcd3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f21f0000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#8  0x00007f220f549ceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f21fcc0cd80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#9  0x00007f220f3a2395 in QThread::exec() (this=this@entry=0x56279cb589e0) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#10 0x00007f2210cb1119 in QQmlThreadPrivate::run() (this=0x56279cb589e0) at qml/ftw/qqmlthread.cpp:148
#11 0x00007f220f3a34e6 in QThreadPrivate::start(void*) (arg=0x56279cb589e0) at thread/qthread_unix.cpp:361
#12 0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#13 0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f21fdea5700 (LWP 1413)):
#0  0x00007f220f00ca6f in __GI___poll (fds=0x7f21f80029e0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f220dacf79e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f21f80029e0, timeout=<optimized out>, context=0x7f21f8000c30) at ../glib/gmain.c:4216
#2  g_main_context_iterate (context=context@entry=0x7f21f8000c30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3912
#3  0x00007f220dacf8d3 in g_main_context_iteration (context=0x7f21f8000c30, may_block=may_block@entry=1) at ../glib/gmain.c:3978
#4  0x00007f220f59fcd3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f21f8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f220f549ceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f21fdea4d70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f220f3a2395 in QThread::exec() (this=this@entry=0x7f220fe41060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f220fdbdf4a in QDBusConnectionManager::run() (this=0x7f220fe41060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#8  0x00007f220f3a34e6 in QThreadPrivate::start(void*) (arg=0x7f220fe41060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:361
#9  0x00007f220e8274e2 in start_thread (arg=<optimized out>) at pthread_create.c:479
#10 0x00007f220f017693 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f2211432c80 (LWP 1380)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x56279eda0be4) at ../sysdeps/unix/sysv/linux/futex-internal.h:80
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56279eda0b90, cond=0x56279eda0bb8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56279eda0bb8, mutex=0x56279eda0b90) at pthread_cond_wait.c:638
#3  0x00007f220f3a8ff3 in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x56279eda0b90) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x56279ea972e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f220f3a9081 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x56279ea972e8, mutex=0x56279ea972e0, time=time@entry=18446744073709551615) at ../../include/QtCore/../../src/corelib/kernel/qdeadlinetimer.h:68
#6  0x00007f221102990e in QSGThreadedRenderLoop::handleObscurity(QSGThreadedRenderLoop::Window*) (this=this@entry=0x56279cc11800, w=0x56279eb3d110) at scenegraph/qsgthreadedrenderloop.cpp:1030
#7  0x00007f2211029a0e in QSGThreadedRenderLoop::hide(QQuickWindow*) (this=0x56279cc11800, window=0x56279ec8fd50) at /usr/include/qt5/QtCore/qlist.h:543
#8  0x000056279b34ad5d in PanelConfigView::hideEvent(QHideEvent*) (this=0x56279ec8fd50, ev=<optimized out>) at /usr/src/debug/plasma-workspace-5.17.3-1.fc31.x86_64/shell/panelconfigview.cpp:209
#9  0x00007f220f92857d in QWindow::event(QEvent*) (this=this@entry=0x56279ec8fd50, ev=ev@entry=0x7ffe514e27f0) at kernel/qwindow.cpp:2347
#10 0x00007f221108f089 in QQuickWindow::event(QEvent*) (this=0x56279ec8fd50, e=0x7ffe514e27f0) at items/qquickwindow.cpp:1687
#11 0x00007f2210055ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x56279c97ce80, receiver=receiver@entry=0x56279ec8fd50, e=e@entry=0x7ffe514e27f0) at kernel/qapplication.cpp:3700
#12 0x00007f221005f150 in QApplication::notify(QObject*, QEvent*) (this=0x7ffe514eac30, receiver=0x56279ec8fd50, e=0x7ffe514e27f0) at kernel/qapplication.cpp:3446
#13 0x00007f220f54ade8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x56279ec8fd50, event=0x7ffe514e27f0) at kernel/qcoreapplication.cpp:1088
#14 0x00007f220f92816f in QWindowPrivate::setVisible(bool) (this=0x56279ed911a0, visible=<optimized out>) at kernel/qwindow.cpp:412
#15 0x00007f220f92783c in QWindowPrivate::destroy() (this=0x56279ed911a0) at kernel/qwindow.cpp:1895
#16 QWindowPrivate::destroy() (this=0x56279ed911a0) at kernel/qwindow.cpp:1866
#17 0x00007f220f92861c in QWindow::event(QEvent*) (this=this@entry=0x56279ec8fd50, ev=ev@entry=0x7ffe514e2be0) at kernel/qwindow.cpp:2310
#18 0x00007f221108f089 in QQuickWindow::event(QEvent*) (this=0x56279ec8fd50, e=0x7ffe514e2be0) at items/qquickwindow.cpp:1687
#19 0x00007f2210055ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x56279c97ce80, receiver=receiver@entry=0x56279ec8fd50, e=e@entry=0x7ffe514e2be0) at kernel/qapplication.cpp:3700
#20 0x00007f221005f150 in QApplication::notify(QObject*, QEvent*) (this=0x7ffe514eac30, receiver=0x56279ec8fd50, e=0x7ffe514e2be0) at kernel/qapplication.cpp:3446
#21 0x00007f220f54ade8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x56279ec8fd50, event=0x7ffe514e2be0) at kernel/qcoreapplication.cpp:1088
#22 0x00007f220f91b855 in QGuiApplicationPrivate::processCloseEvent(QWindowSystemInterfacePrivate::CloseEvent*) () at /usr/include/c++/9/bits/atomic_base.h:413
#23 0x00007f220f91ff72 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=0x56279eeb7e40) at kernel/qguiapplication.cpp:1876
#24 0x00007f220f8fc905 in QWindowSystemInterfacePrivate::handleWindowSystemEvent<QWindowSystemInterface::SynchronousDelivery>(QWindowSystemInterfacePrivate::WindowSystemEvent*) (ev=0x56279eeb7e40) at kernel/qwindowsysteminterface.cpp:105
#25 0x00007f220f90e9ff in QPlatformWindow::close() (this=<optimized out>) at kernel/qplatformwindow.cpp:352
#26 0x00007f220f925bbd in QWindow::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x56279ec8fd50, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=26, _a=_a@entry=0x7ffe514e2ef0) at .moc/moc_qwindow.cpp:412
#27 0x00007f220f9289c3 in QWindow::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x56279ec8fd50, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=26, _a=_a@entry=0x7ffe514e2ef0) at .moc/moc_qwindow.cpp:644
#28 0x00007f221108f7ea in QQuickWindow::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x56279ec8fd50, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=_a@entry=0x7ffe514e2ef0) at .moc/moc_qquickwindow.cpp:454
#29 0x00007f22111256ca in QQuickView::qt_metacall(QMetaObject::Call, int, void**) (this=0x56279ec8fd50, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffe514e2ef0) at .moc/moc_qquickview.cpp:194
#30 0x00007f221187f76a in PlasmaQuick::ConfigView::qt_metacall(QMetaObject::Call, int, void**) () at /lib64/libKF5PlasmaQuick.so.5
#31 0x000056279b34afaa in PanelConfigView::qt_metacall(QMetaObject::Call, int, void**) (this=0x56279ec8fd50, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffe514e2ef0) at /usr/src/debug/plasma-workspace-5.17.3-1.fc31.x86_64/x86_64-redhat-linux-gnu/shell/plasmashell_autogen/include/moc_panelconfigview.cpp:191
#32 0x00007f2210c525b5 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=0x7ffe514e3240, type=QMetaObject::InvokeMetaMethod, index=<optimized out>, argv=<optimized out>) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:335
#33 0x00007f2210b4197d in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=<optimized out>, returnType=returnType@entry=1, argCount=argCount@entry=0, argTypes=argTypes@entry=0x0, engine=engine@entry=0x56279eadc700, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1306
#34 0x00007f2210b444a9 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=0x56279eadc700, callArgs=0x7f21a19c7788, callType=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/qqmlpropertycache_p.h:214
#35 0x00007f2210b452ce in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at jsruntime/qv4qobjectwrapper.cpp:2118
#36 0x00007f2210b626b6 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#37 QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7ffe514e3540, engine=0x56279eadc700, code=0x7f21a19c7740 "@Nh\241!\177") at jsruntime/qv4vme_moth.cpp:738
#38 0x00007f2210b64557 in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7ffe514e3540, engine=engine@entry=0x56279eadc700) at jsruntime/qv4vme_moth.cpp:447
#39 0x00007f2210af18ff in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x56279eb14b40, thisObject=<optimized out>, argv=argv@entry=0x7f21a19c7708, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:68
#40 0x00007f2210c7ac07 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x56279eb7e1b0, callData=callData@entry=0x7f21a19c76d8, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:194
#41 0x00007f2210c19a5c in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=0x7ffe514e5630) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#42 0x00007f2210c1ac28 in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x56279ed422f0, a=0x7ffe514e5630) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#43 0x00007f2210c5dd9d in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=a@entry=0x7ffe514e5630) at qml/qqmlnotifier.cpp:104
#44 0x00007f2210bf9de5 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) (object=0x56279eb71db0, index=52, a=0x7ffe514e5630) at qml/qqmlengine.cpp:883
#45 0x00007f220f574803 in QMetaObject::activate(QObject*, int, int, void**) (sender=0x56279eb71db0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffe514e5630) at kernel/qobject.h:121
#46 0x00007f2210bf5fcc in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at qml/qqmlvmemetaobject.cpp:922
#47 0x00007f2210bf535c in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:335
#48 0x00007f2210bf535c in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:335
#49 0x00007f2210c525b5 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=this@entry=0x7ffe514e5920, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=69, argv=argv@entry=0x7ffe514e5630) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:335
#50 0x00007f2210b4245c in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=69, returnType=returnType@entry=43, argCount=argCount@entry=0, argTypes=argTypes@entry=0x0, engine=engine@entry=0x56279eadc700, callArgs=0x7f21a19c76a0, callType=QMetaObject::InvokeMetaMethod) at jsruntime/qv4qobjectwrapper.cpp:1313
#51 0x00007f2210b444a9 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=0x56279eadc700, callArgs=0x7f21a19c76a0, callType=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/qqmlpropertycache_p.h:214
#52 0x00007f2210b452ce in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at jsruntime/qv4qobjectwrapper.cpp:2118
#53 0x00007f2210b626b6 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#54 QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7ffe514e5c20, engine=0x56279eadc700, code=0x7f21a19c7658 "\200Yd\241!\177") at jsruntime/qv4vme_moth.cpp:738
#55 0x00007f2210b64557 in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7ffe514e5c20, engine=engine@entry=0x56279eadc700) at jsruntime/qv4vme_moth.cpp:447
#56 0x00007f2210af18ff in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x56279ebfdb80, thisObject=<optimized out>, argv=argv@entry=0x7f21a19c7618, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:68
#57 0x00007f2210c7ac07 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x56279ee1b090, callData=callData@entry=0x7f21a19c75e8, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:194
#58 0x00007f2210c19a5c in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=0x7ffe514e7920) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#59 0x00007f2210c1ac28 in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x56279ee1ada0, a=0x7ffe514e7920) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#60 0x00007f2210c5dd9d in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=a@entry=0x7ffe514e7920) at qml/qqmlnotifier.cpp:104
#61 0x00007f2210bf9de5 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) (object=0x56279ed889e0, index=3, a=0x7ffe514e7920) at qml/qqmlengine.cpp:883
#62 0x00007f220f574803 in QMetaObject::activate(QObject*, int, int, void**) (sender=0x56279ed889e0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffe514e7920) at kernel/qobject.h:121
#63 0x00007f21f42537d3 in QQuickAction1::triggered(QObject*) () at /usr/lib64/qt5/qml/QtQuick/Controls/libqtquickcontrolsplugin.so
#64 0x00007f21f4253b92 in QQuickAction1::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /usr/lib64/qt5/qml/QtQuick/Controls/libqtquickcontrolsplugin.so
#65 0x00007f21f4254283 in QQuickAction1::qt_metacall(QMetaObject::Call, int, void**) () at /usr/lib64/qt5/qml/QtQuick/Controls/libqtquickcontrolsplugin.so
#66 0x00007f2210c525b5 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=0x7ffe514e7e30, type=QMetaObject::InvokeMetaMethod, index=<optimized out>, argv=<optimized out>) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:335
#67 0x00007f2210b4209d in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=<optimized out>, returnType=<optimized out>, argCount=<optimized out>, argTypes=<optimized out>, engine=<optimized out>, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1295
#68 0x00007f2210b444d4 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=0x56279eadc700, callArgs=0x7f21a19c7598, callType=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/qqmlpropertycache_p.h:214
#69 0x00007f2210b454c1 in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at jsruntime/qv4qobjectwrapper.cpp:1631
#70 0x00007f2210b626b6 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#71 QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7ffe514e8130, engine=0x56279eadc700, code=0x7f21a19c7548 "@_d\241!\177") at jsruntime/qv4vme_moth.cpp:738
#72 0x00007f2210b64557 in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7ffe514e8130, engine=engine@entry=0x56279eadc700) at jsruntime/qv4vme_moth.cpp:447
#73 0x00007f2210af18ff in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x56279ebfddb0, thisObject=<optimized out>, argv=argv@entry=0x7f21a19c7508, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:68
#74 0x00007f2210c7ac07 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x56279ec7ec90, callData=callData@entry=0x7f21a19c74d8, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:194
#75 0x00007f2210c19a5c in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=0x7ffe514e9e30) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#76 0x00007f2210c1ac28 in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x56279ec7ec40, a=0x7ffe514e9e30) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#77 0x00007f2210c5dd9d in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=a@entry=0x7ffe514e9e30) at qml/qqmlnotifier.cpp:104
#78 0x00007f2210bf9de5 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) (object=0x56279ecc89e0, index=45, a=0x7ffe514e9e30) at qml/qqmlengine.cpp:883
#79 0x00007f220f574803 in QMetaObject::activate(QObject*, int, int, void**) (sender=0x56279ecc89e0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffe514e9e30) at kernel/qobject.h:121
#80 0x00007f221110c5d6 in QQuickMouseArea::released(QQuickMouseEvent*) (this=this@entry=0x56279ecc89e0, _t1=<optimized out>, _t1@entry=0x56279ecc8c68) at .moc/moc_qquickmousearea_p.cpp:659
#81 0x00007f221110dee5 in QQuickMouseArea::setPressed(Qt::MouseButton, bool, Qt::MouseEventSource) (this=this@entry=0x56279ecc89e0, button=<optimized out>, p=p@entry=false, source=<optimized out>) at items/qquickmousearea.cpp:1234
#82 0x00007f221110f073 in QQuickMouseArea::mouseReleaseEvent(QMouseEvent*) (this=0x56279ecc89e0, event=0x7ffe514ea740) at /usr/include/qt5/QtGui/qevent.h:132
#83 0x00007f2211070b58 in QQuickItem::event(QEvent*) (this=0x56279ecc89e0, ev=0x7ffe514ea740) at items/qquickitem.cpp:8038
#84 0x00007f2210055ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x56279c97ce80, receiver=receiver@entry=0x56279ecc89e0, e=e@entry=0x7ffe514ea740) at kernel/qapplication.cpp:3700
#85 0x00007f221005f150 in QApplication::notify(QObject*, QEvent*) (this=0x7ffe514eac30, receiver=0x56279ecc89e0, e=0x7ffe514ea740) at kernel/qapplication.cpp:3446
#86 0x00007f220f54ade8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x56279ecc89e0, event=0x7ffe514ea740) at kernel/qcoreapplication.cpp:1088
#87 0x00007f221108ba1d in QQuickWindowPrivate::deliverMouseEvent(QQuickPointerMouseEvent*) (this=this@entry=0x56279ed911a0, pointerEvent=0x56279ec15950) at items/qquickwindow.cpp:1798
#88 0x00007f221108ce91 in QQuickWindowPrivate::deliverPointerEvent(QQuickPointerEvent*) (this=this@entry=0x56279ed911a0, event=0x56279ec15950) at items/qquickwindow.cpp:2361
#89 0x00007f221108db59 in QQuickWindowPrivate::handleMouseEvent(QMouseEvent*) (event=0x7ffe514ea740, this=0x56279ed911a0) at items/qquickwindow.cpp:2224
#90 QQuickWindowPrivate::handleMouseEvent(QMouseEvent*) (this=0x56279ed911a0, event=0x7ffe514ea740) at items/qquickwindow.cpp:2177
#91 0x00007f220f92857d in QWindow::event(QEvent*) (this=this@entry=0x56279ec8fd50, ev=ev@entry=0x7ffe514ea740) at kernel/qwindow.cpp:2347
#92 0x00007f221108f089 in QQuickWindow::event(QEvent*) (this=0x56279ec8fd50, e=0x7ffe514ea740) at items/qquickwindow.cpp:1687
#93 0x00007f2210055ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x56279c97ce80, receiver=receiver@entry=0x56279ec8fd50, e=e@entry=0x7ffe514ea740) at kernel/qapplication.cpp:3700
#94 0x00007f221005f150 in QApplication::notify(QObject*, QEvent*) (this=0x7ffe514eac30, receiver=0x56279ec8fd50, e=0x7ffe514ea740) at kernel/qapplication.cpp:3446
#95 0x00007f220f54ade8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x56279ec8fd50, event=0x7ffe514ea740) at kernel/qcoreapplication.cpp:1088
#96 0x00007f220f91e723 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) (e=e@entry=0x56279eeb6790) at kernel/qguiapplication.cpp:2100
#97 0x00007f220f91ff4b in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=0x56279eeb6790) at kernel/qguiapplication.cpp:1835
#98 0x00007f220f8fc54b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=...) at kernel/qwindowsysteminterface.cpp:1151
#99 0x00007f21fe478564 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQt5WaylandClient.so.5
#100 0x00007f220dacf4a0 in g_main_dispatch (context=0x56279c9df510) at ../glib/gmain.c:3179
#101 g_main_context_dispatch (context=context@entry=0x56279c9df510) at ../glib/gmain.c:3844
#102 0x00007f220dacf830 in g_main_context_iterate (context=context@entry=0x56279c9df510, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3917
#103 0x00007f220dacf8d3 in g_main_context_iteration (context=0x56279c9df510, may_block=may_block@entry=1) at ../glib/gmain.c:3978
#104 0x00007f220f59fcb5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x56279c9ac170, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#105 0x00007f220f549ceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffe514eaae0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#106 0x00007f220f551a16 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#107 0x000056279b32d73a in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma-workspace-5.17.3-1.fc31.x86_64/shell/main.cpp:219
[Inferior 1 (process 1380) detached]

Reported using DrKonqi


Version-Release number of selected component (if applicable):
plasma-systemsettings-5.17.3-1.fc31.x86_64
kf5-kwayland-5.64.0-1.fc31.x86_64
qt5-qtbase-5.12.5-1.fc31.x86_64
mesa-libEGL-19.2.6-1.fc31.x86_64

How reproducible:
I've seen the plasmashell crash once and the ksplashqml crash below once. The crashes are infrequent.

Steps to Reproduce:
1. Boot F31 KDE Plasma spin fully updated with updates testing enabled, and kwin-wayland and its dependencies installed
2. Log in to Plasma on Wayland from sddm
3. update to Plasma 5.17.3 if one hasn't already from koji or the repos when available
4. log out of plasma
5. Log in to Plasma 5.17.3 on Wayland from sddm
6. left-click 2-3 times on the bottom-left corner of the screen where the Configure Panel popup was shown
7. left-click on the x button to close the Configure Panel bar

Actual results:
plasmashell 5.17.3 on Wayland segmentation fault in update_buffers at ../src/egl/drivers/dri2/platform_wayland.c:633 in mesa-libEGL-19.2.6-1.fc31.x86_64

Expected results:
No crashes.

Additional info:

The start of the update_buffers function where the segmentation fault happened was the following. 

627 static int
628 update_buffers(struct dri2_egl_surface *dri2_surf)
629 {
630  struct dri2_egl_display *dri2_dpy =
631      dri2_egl_display(dri2_surf->base.Resource.Display);

633   if (dri2_surf->base.Width != dri2_surf->wl_win->width ||
634       dri2_surf->base.Height != dri2_surf->wl_win->height) {

636      dri2_surf->base.Width  = dri2_surf->wl_win->width;
637      dri2_surf->base.Height = dri2_surf->wl_win->height;
638      dri2_surf->dx = dri2_surf->wl_win->dx;
639      dri2_surf->dy = dri2_surf->wl_win->dy;
640   }
...

I suppose dri2_surf might've pointed to an invalid/inaccessible address based on the segmentation fault being at line 633. I had updated the system on the previous boot with sudo dnf upgrade --refresh which included an update from mesa 19.2.4 to 19.2.6. The GPU is an integrated AMD Radeon R5 using the radeonsi mesa driver and amdgpu kernel driver.

I saw a ksplashqml 5.16.5 segmentation fault in update_buffers at ../src/egl/drivers/dri2/platform_wayland.c:633 which had a similar trace of its crashing thread as I reported here. The ksplashqml crash happened while starting Plasma 5.16.5 on Wayland with Qt 5.12.5, KF 5.61.0, mesa 19.2.2 on 2019-11-07. 

I reported these crashes https://bugs.kde.org/show_bug.cgi?id=414411

Comment 1 Matt Fagnani 2020-08-09 23:11:03 UTC
I was using Plasma 5.19.4 on Wayland in a Fedora Rawhide KDE Plasma spin installation with KF 5.73.0, Qt 5.14.2, Mesa 20.1.5. I had konsole, firefox nightly 81.0a1, and vlc running. plasmashell had a segmentation fault in update_buffers at ../src/egl/drivers/dri2/platform_wayland.c:675 in mesa-libEGL-20.1.5-1.fc33.x86_64 which appears to correspond to the same line in the crash I originally reported here. I'm reassigning this report to mesa.


Application: Plasma (plasmashell), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f0866abb26d in update_buffers (dri2_surf=dri2_surf@entry=0x7f07c40b2520) at ../src/egl/drivers/dri2/platform_wayland.c:675
#5  0x00007f0866abb7e8 in image_get_buffers (driDrawable=<optimized out>, format=<optimized out>, stamp=<optimized out>, loaderPrivate=0x7f07c40b2520, buffer_mask=<optimized out>, buffers=0x7f07e3ff6ba0) at ../src/egl/drivers/dri2/platform_wayland.c:810
#6  0x00007f08653e9b11 in dri_image_drawable_get_buffers (statts_count=<optimized out>, statts=<optimized out>, images=<optimized out>, drawable=<optimized out>) at ../src/gallium/state_trackers/dri/dri2.c:282
#7  dri2_allocate_textures (ctx=0x56294c58cd90, drawable=0x7f07c40c58a0, statts=0x7f07c40c6288, statts_count=2) at ../src/gallium/state_trackers/dri/dri2.c:415
#8  0x00007f08653dcee4 in dri_st_framebuffer_validate (stctx=<optimized out>, stfbi=<optimized out>, statts=0x7f07c40c6288, count=2, out=0x7f07e3ff6d40) at ../src/gallium/state_trackers/dri/dri_drawable.c:82
#9  0x00007f08653f909b in st_framebuffer_validate (stfb=stfb@entry=0x7f07c40c5db0, st=st@entry=0x56294ce1b940) at ../src/mesa/state_tracker/st_manager.c:223
#10 0x00007f08653fa143 in st_manager_validate_framebuffers (st=0x56294ce1b940) at ../src/mesa/state_tracker/st_manager.c:1185
#11 0x00007f0865431605 in st_validate_state (st=st@entry=0x56294ce1b940, pipeline=pipeline@entry=ST_PIPELINE_CLEAR) at ../src/mesa/state_tracker/st_atom.c:203
#12 0x00007f0865432100 in st_Clear (ctx=0x56294d62c480, mask=50) at ../src/mesa/state_tracker/st_cb_clear.c:442
#13 0x00007f0880b94d6b in QSGBatchRenderer::Renderer::renderBatches (this=this@entry=0x7f07c4006950) at ../../include/QtQuick/5.14.2/QtQuick/private/../../../../../src/quick/scenegraph/coreapi/qsgrenderer_p.h:131
#14 0x00007f0880b954d2 in QSGBatchRenderer::Renderer::render (this=<optimized out>) at scenegraph/coreapi/qsgbatchrenderer.cpp:4320
#15 0x00007f0880b7ecd0 in QSGRenderer::renderScene (bindable=..., this=0x7f07c4006950) at scenegraph/coreapi/qsgrenderer.cpp:259
#16 QSGRenderer::renderScene (this=0x7f07c4006950, bindable=...) at scenegraph/coreapi/qsgrenderer.cpp:219
#17 0x00007f0880b7f1a3 in QSGRenderer::renderScene (this=<optimized out>, fboId=<optimized out>) at scenegraph/coreapi/qsgrenderer.cpp:211
#18 0x00007f0880bd28e1 in QSGDefaultRenderContext::renderNextFrame (this=0x56294c597680, renderer=0x7f07c4006950, fboId=<optimized out>) at scenegraph/qsgdefaultrendercontext.cpp:223
#19 0x00007f0880c2c9a9 in QQuickWindowPrivate::renderSceneGraph (this=0x7f0868013fd0, size=..., surfaceSize=...) at items/qquickwindow.cpp:541
#20 0x00007f0880bdf7e3 in QSGRenderThread::syncAndRender (this=0x56294cd24560, grabImage=0x0) at /usr/include/qt5/QtGui/5.14.2/QtGui/private/qrhi_p.h:1230
#21 0x00007f0880be6e0f in QSGRenderThread::run (this=0x56294cd24560) at scenegraph/qsgthreadedrenderloop.cpp:980
#22 0x00007f087f14e690 in QThreadPrivate::start (arg=0x56294cd24560) at thread/qthread_unix.cpp:342
#23 0x00007f087e5b23f9 in start_thread (arg=0x7f07e3ff8640) at pthread_create.c:463
#24 0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294d6fbbd0, cond=0x56294d6fbbf8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294d6fbbf8, mutex=0x56294d6fbbd0) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294d6fbbd0, cond=0x56294d6fbbf8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294d1690a0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f07f67f3640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294d60e250, cond=0x56294d60e278) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294d60e278, mutex=0x56294d60e250) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294d60e250, cond=0x56294d60e278) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x7f08145538c0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f082ffff640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294d682120, cond=0x56294d682148) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294d682148, mutex=0x56294d682120) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294d682120, cond=0x56294d682148) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294d2640f0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f07f53eb640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294d573de0, cond=0x56294d573e08) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294d573e08, mutex=0x56294d573de0) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294d573de0, cond=0x56294d573e08) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294d0d1770) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f07f73fb640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294ce3c870, cond=0x56294ce3c898) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294ce3c898, mutex=0x56294ce3c870) at pthread_cond_wait.c:638
#3  0x00007f087f153dab in QWaitConditionPrivate::wait (deadline=..., deadline=..., this=0x56294ce3c870) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x56294ce3c770, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f0880be7111 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x56294ce3c768) at scenegraph/qsgthreadedrenderloop.cpp:255
#6  QSGRenderThread::processEventsAndWaitForMore (this=0x56294ce3c6d0) at scenegraph/qsgthreadedrenderloop.cpp:905
#7  QSGRenderThread::run (this=0x56294ce3c6d0) at scenegraph/qsgthreadedrenderloop.cpp:1000
#8  0x00007f087f14e690 in QThreadPrivate::start (arg=0x56294ce3c6d0) at thread/qthread_unix.cpp:342
#9  0x00007f087e5b23f9 in start_thread (arg=0x7f080d34b640) at pthread_create.c:463
#10 0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294cf72690, cond=0x56294cf726b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294cf726b8, mutex=0x56294cf72690) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294cf72690, cond=0x56294cf726b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294cf90ad0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f080df53640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294cec1a50, cond=0x56294cec1a78) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294cec1a78, mutex=0x56294cec1a50) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294cec1a50, cond=0x56294cec1a78) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294ce3d170) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f080eb58640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007f087d7cc1b4 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#2  0x00007f087d7cc303 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f087f32eb8b in QEventDispatcherGlib::processEvents (this=0x7f0800000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f087f2e191b in QEventLoop::exec (this=this@entry=0x7f0818c1ac00, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#5  0x00007f087f14d427 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#6  0x00007f087f14e690 in QThreadPrivate::start (arg=0x56294c2f4890) at thread/qthread_unix.cpp:342
#7  0x00007f087e5b23f9 in start_thread (arg=0x7f0818c1b640) at pthread_create.c:463
#8  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294c4fbd40, cond=0x56294c4fbd68) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294c4fbd68, mutex=0x56294c4fbd40) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294c4fbd40, cond=0x56294c4fbd68) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x7f08141d95d0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f080fff8640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007f087d7cc1ce in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#2  0x00007f087d7cc303 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f087f32eb8b in QEventDispatcherGlib::processEvents (this=0x7f0808000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f087f2e191b in QEventLoop::exec (this=this@entry=0x7f0819c5fbc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#5  0x00007f087f14d427 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#6  0x00007f081a1b59bc in KCupsConnection::run() () from /lib64/libkcupslib.so
#7  0x00007f087f14e690 in QThreadPrivate::start (arg=0x56294c206e20) at thread/qthread_unix.cpp:342
#8  0x00007f087e5b23f9 in start_thread (arg=0x7f0819c60640) at pthread_create.c:463
#9  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b691b90, cond=0x56294b691bb8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b691bb8, mutex=0x56294b691b90) at pthread_cond_wait.c:638
#3  0x00007f087f153dab in QWaitConditionPrivate::wait (deadline=..., deadline=..., this=0x56294b691b90) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x7f0868012140, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f0880be7111 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x7f0868012138) at scenegraph/qsgthreadedrenderloop.cpp:255
#6  QSGRenderThread::processEventsAndWaitForMore (this=0x7f08680120a0) at scenegraph/qsgthreadedrenderloop.cpp:905
#7  QSGRenderThread::run (this=0x7f08680120a0) at scenegraph/qsgthreadedrenderloop.cpp:1000
#8  0x00007f087f14e690 in QThreadPrivate::start (arg=0x7f08680120a0) at thread/qthread_unix.cpp:342
#9  0x00007f087e5b23f9 in start_thread (arg=0x7f082d6c4640) at pthread_create.c:463
#10 0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294bd28020, cond=0x56294bd28048) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294bd28048, mutex=0x56294bd28020) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294bd28020, cond=0x56294bd28048) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b8a8bd0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f082e2ec640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294bc9a480, cond=0x56294bc9a4a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294bc9a4a8, mutex=0x56294bc9a480) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294bc9a480, cond=0x56294bc9a4a8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b89a080) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f082ef10640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c3c18, cond=0x56294b7c3c40) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c3c40, mutex=0x56294b7c3c18) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c3c18, cond=0x56294b7c3c40) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c29d0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f0842ffd640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c3c18, cond=0x56294b7c3c40) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c3c40, mutex=0x56294b7c3c18) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c3c18, cond=0x56294b7c3c40) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c2990) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f08437fe640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c3510, cond=0x56294b7c3538) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c3538, mutex=0x56294b7c3510) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c3510, cond=0x56294b7c3538) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c2930) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f0843fff640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c3510, cond=0x56294b7c3538) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c3538, mutex=0x56294b7c3510) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c3510, cond=0x56294b7c3538) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c28f0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f085894b640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c3510, cond=0x56294b7c3538) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c3538, mutex=0x56294b7c3510) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c3510, cond=0x56294b7c3538) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c26c0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f085914c640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c2568, cond=0x56294b7c2590) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c2590, mutex=0x56294b7c2568) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c2568, cond=0x56294b7c2590) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c5620) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f085994d640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c2568, cond=0x56294b7c2590) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c2590, mutex=0x56294b7c2568) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c2568, cond=0x56294b7c2590) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c4f40) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f085a14e640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c2568, cond=0x56294b7c2590) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c2590, mutex=0x56294b7c2568) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c2568, cond=0x56294b7c2590) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c4d10) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f085a94f640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7c2568, cond=0x56294b7c2590) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7c2590, mutex=0x56294b7c2568) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7c2568, cond=0x56294b7c2590) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7c45a0) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f085b150640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b7bf398, cond=0x56294b7bf3c0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b7bf3c0, mutex=0x56294b7bf398) at pthread_cond_wait.c:638
#3  0x00007f0865768e1b in cnd_wait (mtx=0x56294b7bf398, cond=0x56294b7bf3c0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56294b7be610) at ../src/util/u_queue.c:275
#5  0x00007f086576782b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f087e5b23f9 in start_thread (arg=0x7f0865200640) at pthread_create.c:463
#7  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007f087d7cc1ce in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#2  0x00007f087d7cc303 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f087f32eb8b in QEventDispatcherGlib::processEvents (this=0x7f0860000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f087f2e191b in QEventLoop::exec (this=this@entry=0x7f086c90fbe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#5  0x00007f087f14d427 in QThread::exec (this=this@entry=0x56294b58e630) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#6  0x00007f08808c3b18 in QQmlThreadPrivate::run (this=0x56294b58e630) at qml/ftw/qqmlthread.cpp:155
#7  0x00007f087f14e690 in QThreadPrivate::start (arg=0x56294b58e630) at thread/qthread_unix.cpp:342
#8  0x00007f087e5b23f9 in start_thread (arg=0x7f086c910640) at pthread_create.c:463
#9  0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  0x00007f087d7ca065 in g_source_iter_next () from /lib64/libglib-2.0.so.0
#2  0x00007f087d7cb603 in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#3  0x00007f087d7cc0fb in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#4  0x00007f087d7cc303 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x00007f087f32eb8b in QEventDispatcherGlib::processEvents (this=0x7f0868000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f087f2e191b in QEventLoop::exec (this=this@entry=0x7f086d18fbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#7  0x00007f087f14d427 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#8  0x00007f08802ca51b in QDBusConnectionManager::run (this=0x7f0880339060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#9  0x00007f087f14e690 in QThreadPrivate::start (arg=0x7f0880339060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#10 0x00007f087e5b23f9 in start_thread (arg=0x7f086d190640) at pthread_create.c:463
#11 0x00007f087edd2b03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56294b9943a0, cond=0x56294b9943c8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56294b9943c8, mutex=0x56294b9943a0) at pthread_cond_wait.c:638
#3  0x00007f087f153dab in QWaitConditionPrivate::wait (deadline=..., deadline=..., this=0x56294b9943a0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x56294cd245b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f0880be7afb in QSGThreadedRenderLoop::handleObscurity (this=this@entry=0x56294b6a2230, w=0x56294c42ae00) at scenegraph/qsgthreadedrenderloop.cpp:1340
#6  0x00007f0880be7c9e in QSGThreadedRenderLoop::hide (this=0x56294b6a2230, window=0x56294c45c280) at /usr/include/qt5/QtCore/qlist.h:570
#7  0x00007f087f6d6505 in QWindow::event (this=0x56294c45c280, ev=<optimized out>) at kernel/qwindow.cpp:2363
#8  0x00007f086404727a in ToolTipDialog::event(QEvent*) () from /usr/lib64/qt5/qml/org/kde/plasma/core/libcorebindingsplugin.so
#9  0x00007f087fce1063 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x56294c45c280, e=0x7ffc23eb7740) at kernel/qapplication.cpp:3685
#10 0x00007f087f2e2fc0 in QCoreApplication::notifyInternal2 (receiver=0x56294c45c280, event=0x7ffc23eb7740) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#11 0x00007f087f6d60f6 in QWindowPrivate::setVisible (this=0x7f0868013fd0, visible=<optimized out>) at kernel/qwindow.cpp:412
#12 0x00007f087f311f76 in QtPrivate::QSlotObjectBase::call (a=0x7ffc23eb7880, r=0x56294c45e2a0, this=0x56294c462180) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#13 doActivate<false> (sender=0x56294c45e2a0, signal_index=3, argv=argv@entry=0x7ffc23eb7880) at kernel/qobject.cpp:3870
#14 0x00007f087f30c7f8 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f087f59b9a0 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffc23eb7880) at kernel/qobject.cpp:3930
#15 0x00007f087f3154ce in QTimer::timeout (this=<optimized out>, _t1=...) at .moc/moc_qtimer.cpp:205
#16 0x00007f087f30aabf in QObject::event (this=0x56294c45e2a0, e=0x7ffc23eb79d0) at kernel/qobject.cpp:1316
#17 0x00007f087fce1063 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x56294c45e2a0, e=0x7ffc23eb79d0) at kernel/qapplication.cpp:3685
#18 0x00007f087f2e2fc0 in QCoreApplication::notifyInternal2 (receiver=0x56294c45e2a0, event=0x7ffc23eb79d0) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#19 0x00007f087f32de83 in QTimerInfoList::activateTimers (this=0x56294b449fb0) at kernel/qtimerinfo_unix.cpp:643
#20 0x00007f087f32e77c in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:183
#21 0x00007f087d7cbeaf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#22 0x00007f087d7cc238 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#23 0x00007f087d7cc303 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#24 0x00007f087f32eb73 in QEventDispatcherGlib::processEvents (this=0x56294b446e50, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#25 0x00007f087f2e191b in QEventLoop::exec (this=this@entry=0x7ffc23eb7c10, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#26 0x00007f087f2e95a6 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#27 0x000056294a37d705 in main (argc=<optimized out>, argv=0x7ffc23eb7e20) at /usr/src/debug/plasma-workspace-5.19.4-2.fc33.x86_64/shell/main.cpp:224
[Inferior 1 (process 1283) detached]

Comment 2 Michel Dänzer 2020-08-10 09:19:37 UTC
Note that while the linked upstream issue is technically a Mesa bug, Firefox was triggering this condition by accident and has been modified not to trigger it anymore. Might be similar for plasmashell.

Comment 3 Matt Fagnani 2020-08-10 22:27:44 UTC
(In reply to Michel Dänzer from comment #2)
> Note that while the linked upstream issue is technically a Mesa bug, Firefox
> was triggering this condition by accident and has been modified not to
> trigger it anymore. Might be similar for plasmashell.

Thanks Michel. Firefox Nightly 80.0a1-81.0a1 had segmentation faults occasionally in update_buffers at ../src/egl/drivers/dri2/platform_wayland.c:675 in mesa-libEGL-20.1.3-1.fc33.x86_64 and later when I've clicked on toolbar buttons at the top right of the Firefox window in the last 3 weeks or so. I reported those crashes at https://bugzilla.mozilla.org/show_bug.cgi?id=1655120 I wasn't clicking on Firefox when the plasmashell crash in comment 1 happened. The Firefox and plasmashell crashes might be related. 

About 40 Firefox crash reports with the same signature from Fedora by others have been submitted to Mozilla. Those crashes might be due to a more recent problem.
https://crash-stats.mozilla.org/signature/?signature=%3Cname%20omitted%3E%20%7C%20%3Cname%20omitted%3E%20%7C%20dri2_allocate_textures&date=%3E%3D2020-02-10T22%3A23%3A00.000Z&date=%3C2020-08-10T22%3A23%3A00.000Z&_columns=date&_columns=product&_columns=version&_columns=build_id&_columns=platform&_columns=reason&_columns=address&_columns=install_time&_columns=startup_crash&_sort=-date&page=1#summary

Comment 4 Ben Cotton 2020-08-11 13:07:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Matt Fagnani 2020-08-21 16:13:28 UTC
I was using Plasma 5.19.4 on Wayland in Fedora 33 with KF 5.73.0 and Qt 5.14.2. I set the desktop to use the Application Menu by right-clicking on the menu button at the bottom left of the screen, selecting Show Alternatives > Application Menu > Switch. I repeatedly left-clicked to open the Application Menu many times. The Task Manager bar at the bottom of the screen disappeared and reappeared automatically. plasmashell segmentation faulted in thread 1 in update_buffers at ../src/egl/drivers/dri2/platform_wayland.c:675 in mesa-libEGL-20.1.5-1.fc33.x86_64. 

Core was generated by `/usr/bin/plasmashell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=<optimized out>) at ../sysdeps/unix/sysv/linux/raise.c:49
49        return ret;
[Current thread is 1 (Thread 0x7ff43ebf5640 (LWP 8914))]
(gdb) bt
#0  __GI_raise (sig=<optimized out>) at ../sysdeps/unix/sysv/linux/raise.c:49
#1  <signal handler called>
#2  0x00007ff4c815026d in update_buffers (dri2_surf=dri2_surf@entry=0x7ff428166b70)
    at ../src/egl/drivers/dri2/platform_wayland.c:675
#3  0x00007ff4c81507e8 in image_get_buffers (driDrawable=<optimized out>, format=<optimized out>, 
    stamp=<optimized out>, loaderPrivate=0x7ff428166b70, buffer_mask=<optimized out>, 
    buffers=0x7ff43ebf3ba0) at ../src/egl/drivers/dri2/platform_wayland.c:810
#4  0x00007ff4c2a46b11 in dri_image_drawable_get_buffers (statts_count=<optimized out>, 
    statts=<optimized out>, images=<optimized out>, drawable=<optimized out>)
    at ../src/gallium/state_trackers/dri/dri2.c:282
#5  dri2_allocate_textures (ctx=0x55cc55a25e20, drawable=0x7ff42816b200, statts=0x7ff428163cd8, 
    statts_count=2) at ../src/gallium/state_trackers/dri/dri2.c:415
#6  0x00007ff4c2a39ee4 in dri_st_framebuffer_validate (stctx=<optimized out>, stfbi=<optimized out>, 
    statts=0x7ff428163cd8, count=2, out=0x7ff43ebf3d40)
    at ../src/gallium/state_trackers/dri/dri_drawable.c:82
#7  0x00007ff4c2a5609b in st_framebuffer_validate (stfb=stfb@entry=0x7ff428163800, 
    st=st@entry=0x55cc56ce6510) at ../src/mesa/state_tracker/st_manager.c:223
#8  0x00007ff4c2a57143 in st_manager_validate_framebuffers (st=0x55cc56ce6510)
    at ../src/mesa/state_tracker/st_manager.c:1185
#9  0x00007ff4c2a8e605 in st_validate_state (st=st@entry=0x55cc56ce6510, 
    pipeline=pipeline@entry=ST_PIPELINE_CLEAR) at ../src/mesa/state_tracker/st_atom.c:203
#10 0x00007ff4c2a8f100 in st_Clear (ctx=0x55cc56cabe50, mask=50)
    at ../src/mesa/state_tracker/st_cb_clear.c:442
#11 0x00007ff4de231d6b in QSGBatchRenderer::Renderer::renderBatches (this=this@entry=0x7ff4280079a0)
    at ../../include/QtQuick/5.14.2/QtQuick/private/../../../../../src/quick/scenegraph/coreapi/qsgrenderer_p.h:131
#12 0x00007ff4de2324d2 in QSGBatchRenderer::Renderer::render (this=<optimized out>) at scenegraph/coreapi/qsgbatchrenderer.cpp:4320
#13 0x00007ff4de21bcd0 in QSGRenderer::renderScene (bindable=..., this=0x7ff4280079a0) at scenegraph/coreapi/qsgrenderer.cpp:259
#14 QSGRenderer::renderScene (this=0x7ff4280079a0, bindable=...) at scenegraph/coreapi/qsgrenderer.cpp:219
#15 0x00007ff4de21c1a3 in QSGRenderer::renderScene (this=<optimized out>, fboId=<optimized out>) at scenegraph/coreapi/qsgrenderer.cpp:211
#16 0x00007ff4de26f8e1 in QSGDefaultRenderContext::renderNextFrame (this=0x55cc55d1d880, renderer=0x7ff4280079a0, fboId=<optimized out>) at scenegraph/qsgdefaultrendercontext.cpp:223
#17 0x00007ff4de2c99a9 in QQuickWindowPrivate::renderSceneGraph (this=0x55cc55d1ccf0, size=..., surfaceSize=...) at items/qquickwindow.cpp:541
#18 0x00007ff4de27c7e3 in QSGRenderThread::syncAndRender (this=0x55cc56979f50, grabImage=0x0) at /usr/include/qt5/QtGui/5.14.2/QtGui/private/qrhi_p.h:1230
#19 0x00007ff4de283e0f in QSGRenderThread::run (this=0x55cc56979f50) at scenegraph/qsgthreadedrenderloop.cpp:980
#20 0x00007ff4dc7eb690 in QThreadPrivate::start (arg=0x55cc56979f50) at thread/qthread_unix.cpp:342
#21 0x00007ff4dbc4f3f9 in start_thread (arg=0x7ff43ebf5640) at pthread_create.c:463
#22 0x00007ff4dc46fb03 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

platform_wayland.c:675 corresponds to that in the crash I reported here before.
 if (dri2_surf->base.Width != dri2_surf->wl_win->width ||
       dri2_surf->base.Height != dri2_surf->wl_win->height) {

The pointer dri2_surf=dri2_surf@entry=0x7ff428166b70 passed to update_buffers pointed to a invalid pointer possibly dri2_surf->wl_win.

(gdb) x 0x7ff428166b70
0x7ff428166b70: 0x553e66e0
(gdb) x 0x553e66e0
0x553e66e0:     Cannot access memory at address 0x553e66e0

I've seen crashes with this trace 2-3 times in the last few days. The crashes might involve a race condition in which the pointer in the Wayland surface of the Application menu was occasionally freed or corrupted before it was used. plasmashell crashed when I've quickly left-clicked many times to open the Application Menu at the bottom-left of the screen with errors like The Wayland connection experienced a fatal error: Invalid argument
https://bugzilla.redhat.com/show_bug.cgi?id=1870137 and a segmentation fault in wl_proxy_set_queue https://bugzilla.redhat.com/show_bug.cgi?id=1723018 Those crashes might have been related to this one.

Comment 6 Ben Cotton 2021-11-04 17:32:40 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2021-11-30 16:24:01 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.